DEBCONF-SET-SELECTIONS.FR.1(1)

NOM
debconf-set-selections - insérer de nouvelles valeurs dans la base de données de debconf

SYNOPSIS
 debconf-set-selections fichier
 debconf-get-selections | ssh nouvelhôte debconf-set-selections

DESCRIPTION
debconf-set-selections peut être utilisé pour prévisualiser la base de données de debconf et les réponses, ou pour modifier les réponses dans la base de données. Chaque question sera marquée comme vue afin d'éviter à debconf de poser la question de manière interactive.

Si un nom de fichier est donné, celui-ci est lu, sinon l'entrée standard est utilisée.

ATTENTION
Utilisez cette commande uniquement pour positionner les valeurs debconf par défaut pour des paquets qui seront installés ou qui le sont déjà. Autrement vous pouvez finir par avoir des valeurs restant dans la base de données pour des paquets non installés, ou des problèmes plus importants concernant des valeurs partagées. Il est recommandé d'utiliser cela uniquement pour renseigner les bases de données de machines ayant exactement la même installation.

FORMAT DES DONNÉES
Les données sont sous forme d'une série de lignes. Les lignes commençant par le caractère dièse (« # ») sont des commentaires. Les lignes vides sont ignorées. Toutes les autres lignes définissent la valeur d'une question et devraient contenir quatre champs, chacun d'eux séparé par un caractère d'espacement. Le premier champ est le nom du paquet propriétaire de la question. Le second est le nom de la question, le troisième champ est le type de la question et le quatrième (jusqu'à la fin de la ligne) est la valeur de la réponse à utiliser pour cette question.

Une alternative est de spécifier "seen" comme troisième valeur ; la ligne spécifiant la valeur par défaut ne fait alors que contrôler si la question est marquée comme déjà vue dans la base de données de debconf. Notez que donner une valeur par défaut à une question implique le marquage de celle-ci comme étant vue, ainsi pour remplacer la valeur par défaut d'une question, sans la marquer comme vue, vous avez besoin de deux lignes.

Une ligne peut être continuée sur la ligne suivant en la terminant par un caractère « \ ».

EXEMPLES
 # Forcer la priorité de debconf à critique (« critical »).
 debconf debconf/priority select critical

 # Remplacer l'interface par défaut par readline,
 # mais autoriser l'utilisateur à choisir.
 debconf debconf/frontend select readline
 debconf debconf/frontend seen false

OPTIONS

--verbose, -v
    Affichage bavard

--checkonly, -c
    ne vérifier que le format du fichier d'entrée, ne pas sauvegarder les modifications effectués dans la base de données.

VOIR AUSSI
debconf-get-selections(1) (disponible dans le paquet debconf-utils)

AUTEUR
Petter Reinholdtsen <pere@hungry.com>

TRADUCTION
Julien Louis <ptitlouis@sysif.net>, 2005

Cyril Brulebois <kibi@debian.org>, 2006

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debconf.